%define upstream_name    Sys-Mmap
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Uses mmap to map in a file as a Perl variable
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
The Mmap module uses the POSIX mmap call to map in a file as a
Perl variable. Memory access by mmap may be shared between threads or
forked processes, and may be a disc file that has been mapped into memory.
Sys::Mmap depends on your operating system supporting UNIX or
POSIX.1b mmap, of course.

*Note* that PerlIO now defines a ':mmap' tag and presents
mmap'd files as regular files, if that is your cup of joe.

Several processes may share one copy of the file or string, saving memory,
and concurrently making changes to portions of the file or string. When not
used with a file, it is an alternative to SysV shared memory. Unlike SysV
shared memory, there are no arbitrary size limits on the shared memory
area, and sparse memory usage is handled optimally on most modern UNIX
implementations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.200.0-8.mga10
+ Revision: 2089051
- Rebuild for perl-5.40

* Tue Nov 28 2023 tv <tv> 0.200.0-7.mga10
+ Revision: 2010549
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.200.0-6.mga9
+ Revision: 1862432
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.200.0-5.mga9
+ Revision: 1796077
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.200.0-4.mga9
+ Revision: 1727139
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.200.0-3.mga8
+ Revision: 1595278
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.200.0-2.mga8
+ Revision: 1529039
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 tv <tv> 0.200.0-1.mga8
+ Revision: 1517893
- update to 0.20
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.190.0-6.mga8
+ Revision: 1433025
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.190.0-5.mga7
+ Revision: 1293822
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.190.0-4.mga7
+ Revision: 1249888
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.190.0-3.mga7
+ Revision: 1166677
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.190.0-2.mga7
+ Revision: 1149276
- Rebuild for perl ABI changes

* Sun Jul 23 2017 shlomif <shlomif> 0.190.0-1.mga7
+ Revision: 1128910
- update to 0.19

* Sat Jul 22 2017 neoclust <neoclust> 0.170.0-9.mga7
+ Revision: 1127634
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-8.mga6
+ Revision: 1033598
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.170.0-7.mga6
+ Revision: 958012
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.170.0-6.mga6
+ Revision: 845301
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.170.0-5.mga6
+ Revision: 840802
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 751158
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.170.0-3.mga5
+ Revision: 733452
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-2.mga5
+ Revision: 686289
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 666871
- update to 0.17

* Tue Jun 03 2014 pterjan <pterjan> 0.160.0-6.mga5
+ Revision: 631733
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-5.mga4
+ Revision: 524988
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.160.0-4.mga4
+ Revision: 431762
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-3.mga3
+ Revision: 372976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.160.0-2.mga3
+ Revision: 251181
- rebuild for perl 5.16

* Thu Sep 08 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 141208
- imported package perl-Sys-Mmap

